﻿@model XPos.ViewModel.ProductViewModel

<h3>Are you sure you want to delete this?</h3>
<div>

    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.CategoryName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.CategoryName)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.VariantName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.VariantName)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Initial)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Initial)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Description)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Description)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Price)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Price)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Active)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Active)
        </dd>

    </dl>

    @using (Html.BeginForm("Delete", "Product", FormMethod.Post, new { id = "form-delete", name = "form-delete" }))
    {
        @Html.AntiForgeryToken()
        @Html.HiddenFor(model => model.Id)

        <div class="form-actions no-color">
            <div class="col-md-offset-2 col-md-10">
                <input type="button" value="Cancel" data-dismiss="modal" class="btn btn-default" />
                <input type="submit" value="Yes" class="btn btn-danger" />

            </div>
        </div>
    }
</div>


<script type="text/javascript">
    $("#form-delete").submit(function () {
        $.ajax({
            url: this.action,
            type: this.method,
            data: $(this).serialize(),
            success: function (result) {
                if (result.success) {
                    alert("Delete successfull !! ");
                    $(".modal").modal("hide");
                    GetList();
                }
                else {
                    alert("Error! " + result.message);
                }
            }
        });
        return false;
    });
</script>
